Bug 98390 - Crash when modifying minor grid
Summary: Crash when modifying minor grid
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: highest major
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.1.2 target:6.3.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-03-03 18:22 UTC by Laurent BP
Modified: 2019-02-22 18:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with a chart with minor grids (14.64 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-03-03 18:22 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-03-03 18:22:20 UTC
Created attachment 123209 [details]
Test file with a chart with minor grids

Description: crash each time you try to modify (style, color, width, transparency) of X or Y minor grid

Steps to reproduce:
1. Create a chart
2. Insert > Grids, check all grids (or open attached document)
3. double click on a minor grid
4. modify any Line property (style, color, width or transparency), OK

Actual behavior:
crash

Expected behavior:
no crash :-)


There is no crash with major grids.

Version: 5.1.0.3 (x64)
Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale: fr-FR (fr_FR)
Comment 1 Jacques Guilleron 2016-03-03 23:00:41 UTC
Hi Laurent,

I reproduce with 
LO 5.1.0.3 (x64) Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
Locale : fr-FR (fr_FR)
LO 5.1.0.0.beta1-buildfix1
Build ID: 13010a13177025f633c9b85adcb3edf6920e44e3
Threads 2; Ver: Windows 6.1; Render: default; 
but not with
LO 5.0.5.2 Build ID: 55b006a02d247b5f7215fc6ea0fde844b30035b3 Locale:fr-FR (fr_FR)
Comment 2 Jacques Guilleron 2016-03-03 23:13:06 UTC
I forgot to precise my OS : Windows 7 Home
Comment 3 Laurent BP 2016-03-04 10:56:52 UTC
Reproduce with:
- Version: 5.1.0.0.alpha1+
Build ID: bc397ac8265186531e4e3de17fc9bcb71fd46f2e
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-14_08:05:07
Locale: fr-FR (fr_FR)

NOT reproduce with:
- Version: 5.1.0.0.alpha1+
Build ID: 8cfdd81b70ef37927b40497ffd10034f28335034
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-24_02:47:18
Locale: fr-FR (fr_FR)
Comment 4 Laurent BP 2016-03-04 13:01:36 UTC
Similar crash if line properties are modified through sidebar.

May be linked with ChartLinePanel added during same time range:
https://cgit.freedesktop.org/libreoffice/core/commit?id=57dcf78e6b17777f499fd7e7c2ee8d129bf0f79b
Comment 5 Miguel 2016-03-05 10:12:28 UTC
Found also in LibreOffice 5.1.0.3 on Linux Ubuntu x86 (32 bits).

Not found in LibreOffice 5.0.4.2 on same hardware.
Comment 6 Laurent BP 2016-03-05 16:19:51 UTC
(In reply to Miguel from comment #5)
> Found also in LibreOffice 5.1.0.3 on Linux Ubuntu x86 (32 bits).
> 
> Not found in LibreOffice 5.0.4.2 on same hardware.

I changed Hardware accordingly
Comment 7 raal 2016-03-07 08:36:29 UTC
note:win32-5.1 bibisect - not bibisectable with this repo, two bibisects lead to different results.
Comment 8 Commit Notification 2016-03-11 12:22:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9048e7f58763cf87460a25cba374741352ceb98b

Resolves: tdf#98390 ChartAreaPanel throw during ctor

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2016-03-11 13:55:28 UTC
I think I've this one fixed anyway. There might be other similar ones though.
Comment 10 Commit Notification 2016-03-14 16:01:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b067f794b99855c318f894dd4ec247f65cec0dd3&h=libreoffice-5-1

Resolves: tdf#98390 ChartAreaPanel throw during ctor

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-02-22 18:31:40 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2fff04d866d2431e579687518c1f6d0c813887d1%5E%21

uitest for bug tdf#98390 ; Chart Grid dialog

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.